org.gradle.tooling.model.idea

## Interface IdeaContentRoot

-     public interface IdeaContentRoot

  Contains content root information.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<File>` | `getExcludeDirectories()` exclude dirs
    `File` | `getRootDirectory()` root directory
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getSourceDirectories()` source dirs.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getTestDirectories()` test dirs.

- - ### Method Detail

    - #### getRootDirectory

          File getRootDirectory()

      root directory

    - #### getSourceDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getSourceDirectories()

      source dirs.

    - #### getTestDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getTestDirectories()

      test dirs.

    - #### getExcludeDirectories

          Set<File> getExcludeDirectories()

      exclude dirs